{
  "easycom": {
    "autoscan": true,
    "custom": {
      // uni-ui 规则如下配置
      "^uni-(.*)": "@dcloudio/uni-ui/lib/uni-$1/uni-$1.vue"
    }
  },
  "pages": [
    {
      "path": "pages/index/index",
      "style": {
        "enablePullDownRefresh": true,
        "navigationStyle": "custom",
        "backgroundColor": "#fff",
        "onReachBottomDistance": 50
      }
    },
    {
      "path": "pages/my/my",
      "style": {
        "navigationBarTitleText": "我的",
        "enablePullDownRefresh": true,
        "navigationBarBackgroundColor": "#F7F7FC",
        "backgroundColor": "#F7F7FC"
      }
    },
    {
      "path": "pages/shop/index",
      "style": {
        "navigationBarTitleText": "积分商城",
        "enablePullDownRefresh": true,
        "navigationBarBackgroundColor": "#F7F7FC",
        "backgroundColor": "#F7F7FC"
      }
    },
    {
      "path": "pages/shop/list",
      "style": {
        "navigationBarTitleText": "商户列表",
        "enablePullDownRefresh": true,
        "navigationBarBackgroundColor": "#F7F7FC",
        "backgroundColor": "#F7F7FC"
      }
    },
    {
      "path": "pages/shop/detail",
      "style": {
        "navigationBarTitleText": "商户详情",
        "navigationBarBackgroundColor": "#F7F7FC",
        "backgroundColor": "#F7F7FC"
      }
    },
    {
      "path": "pages/activity/index",
      "style": {
        "navigationBarTitleText": "活动中心",
        "enablePullDownRefresh": true,
        "navigationBarBackgroundColor": "#FFFFFF",
        "backgroundColor": "#F5F5F5"
      }
    },
    {
      "path": "pages/activity/detail",
      "style": {
        "navigationBarTitleText": "活动中心",
        "navigationBarBackgroundColor": "#FFFFFF",
        "backgroundColor": "#F5F5F5"
      }
    },
    {
      "path": "pages/task/index",
      "style": {
        "navigationBarTitleText": "积分",
        "navigationBarTextStyle": "white",
        "navigationBarBackgroundColor": "#30303A",
        "backgroundColor": "#F6F6F6"
      }
    },
    {
      "path": "pages/my/coupon",
      "style": {
        "navigationBarTitleText": "我的卡包",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/my/edit",
      "style": {
        "navigationBarTitleText": "填写邀请人",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/help/help",
      "style": {
        "navigationBarTitleText": "问题与帮助",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/help/service",
      "style": {
        "navigationBarTitleText": "用户服务协议",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/help/contact",
      "style": {
        "navigationBarTitleText": "商务合作",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/vip/index",
      "style": {
        "navigationBarTitleText": "会员权益",
        "navigationBarBackgroundColor": "#FFFFFF",
        "backgroundColor": "#F5F5F5"
      }
    },
    {
      "path": "pages/vip/detail",
      "style": {
        "navigationBarTitleText": "会员权益",
        "navigationBarBackgroundColor": "#FFFFFF",
        "backgroundColor": "#F5F5F5"
      }
    },
    {
      "path": "pages/vip/vip",
      "style": {
        "navigationBarTitleText": "VIP会员",
        "navigationBarTextStyle": "white",
        "navigationBarBackgroundColor": "#000",
        "backgroundColor": "#000"
      }
    },
    {
      "path": "pages/vip/card",
      "style": {
        "navigationBarTitleText": "VIP会员卡",
        "navigationBarTextStyle": "white",
        "navigationBarBackgroundColor": "#000",
        "backgroundColor": "#000"
      }
    }
    // {
    //   "path": "pages/help/help_about",
    //   "style": {
    //     "navigationBarTitleText": "关于我们",
    //     "enablePullDownRefresh": false
    //   }
    // },
    // {
    //   "path": "pages/index/list",
    //   "style": {
    //     "enablePullDownRefresh": true
    //   }
    // },
    // {
    //   "path": "pages/my/wallet",
    //   "style": {
    //     "navigationBarTitleText": "",
    //     "enablePullDownRefresh": false
    //   }
    // },
    // {
    //   "path": "pages/detail/detail",
    //   "style": {
    //     "navigationBarTitleText": "初见潮玩",
    //     "enablePullDownRefresh": false
    //   }
    // },
    // {
    //   "path": "pages/rule/rule",
    //   "style": {
    //     "navigationBarTitleText": "",
    //     "enablePullDownRefresh": false
    //   }
    // },
    // {
    //   "path": "pages/order/order",
    //   "style": {
    //     "navigationBarTitleText": "消费记录",
    //     "enablePullDownRefresh": false
    //   }
    // },
    // {
    //   "path": "pages/order/unsend",
    //   "style": {
    //     "navigationBarTitleText": "寄存盒柜",
    //     "enablePullDownRefresh": false
    //   }
    // },
    // {
    //   "path": "pages/order/sended",
    //   "style": {
    //     "navigationBarTitleText": "发货订单",
    //     "enablePullDownRefresh": false
    //   }
    // },
    // {
    //   "path": "pages/address/address",
    //   "style": {
    //     "navigationBarTitleText": "收货地址",
    //     "enablePullDownRefresh": false
    //   }
    // },
    // {
    //   "path": "pages/address/add",
    //   "style": {
    //     "navigationBarTitleText": "新增地址",
    //     "enablePullDownRefresh": false
    //   }
    // },
    // {
    //   "path": "pages/help/help_rule",
    //   "style": {
    //     "navigationBarTitleText": "余额说明",
    //     "enablePullDownRefresh": false
    //   }
    // },
    // {
    //   "path": "pages/beto/beto",
    //   "style": {
    //     "navigationBarTitleText": "即将上线",
    //     "enablePullDownRefresh": true
    //   }
    // },
    // {
    //   "path": "pages/community/community",
    //   "style": {
    //     "navigationBarTitleText": "社群专属优惠券",
    //     "enablePullDownRefresh": false,
    //     "backgroundTextStyle": "light",
    //     "navigationBarBackgroundColor": "#FF4D4D"
    //   }
    // },
    // {
    //   "path": "pages/webview/webview",
    //   "style": {
    //     "navigationBarTitleText": "",
    //     "enablePullDownRefresh": false
    //   }
    // },
    // {
    //   "path": "pages/my/invite",
    //   "style": {
    //     "navigationBarTitleText": "邀请好友",
    //     "enablePullDownRefresh": false,
    //     "navigationBarBackgroundColor": "#FFFFFF",
    //     "backgroundColor": "#F7F7FC"
    //   }
    // },
    // {
    //   "path": "pages/reward/detail",
    //   "style": {
    //     "navigationBarTitleText": "一番赏",
    //     "navigationBarBackgroundColor": "#FFFFFF",
    //     "backgroundColor": "#F5F5F5"
    //   }
    // },
    // {
    //   "path": "pages/my/recharge",
    //   "style": {
    //     "navigationBarTitleText": "充值",
    //     "navigationBarBackgroundColor": "#FFFFFF",
    //     "backgroundColor": "#FFFFFF"
    //   }
    // },
    // {
    //   "path": "pages/my/messages",
    //   "style": {
    //     "navigationBarTitleText": "消息中心",
    //     "navigationBarBackgroundColor": "#FFFFFF",
    //     "backgroundColor": "#FFFFFF",
    //     "enablePullDownRefresh": true,
    //     "onReachBottomDistance": 50
    //   }
    // }
  ],
  "globalStyle": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "初见潮玩",
    "navigationBarBackgroundColor": "#FFF",
    "backgroundColor": "#FFF"
  },
  "tabBar": {
    "color": "#292D3B",
    "selectedColor": "#292D3B",
    "backgroundColor": "#FFFFFF",
    "borderStyle": "black",
    "spacing": "4px",
    "fontSize": "14px",
    "iconWidth": "35px",
    "list": [
      {
        "pagePath": "pages/index/index",
        "text": "首页",
        "iconPath": "static/icon/icon-home.png",
        "selectedIconPath": "static/icon/icon-home-selected.png"
      },
      {
        "pagePath": "pages/shop/index",
        "text": "积分商城",
        "iconPath": "static/icon/icon-reward.png",
        "selectedIconPath": "static/icon/icon-reward-selected.png"
      },
      {
        "pagePath": "pages/activity/index",
        "text": "活动",
        "iconPath": "static/icon/icon-activity.png",
        "selectedIconPath": "static/icon/icon-activity-selected.png"
      },
      {
        "pagePath": "pages/my/my",
        "text": "我的",
        "iconPath": "static/icon/icon-user.png",
        "selectedIconPath": "static/icon/icon-user-selected.png"
      }
    ]
  },
  "condition": {
    "current": 0,
    "list": [
      {
        "name": "vip",
        "path": "pages/vip/index"
      },
      {
        "name": "VIP会员",
        "path": "pages/vip/vip"
      },
      {
        "name": "vip detail",
        "path": "pages/vip/detail",
        "query": "id=1"
      },
      {
        "name": "签到",
        "path": "pages/task/index"
      },
      {
        "name": "卡券",
        "path": "pages/my/coupon"
      },
      {
        "name": "vip卡片",
        "path": "pages/vip/card"
      },
      {
        "name": "门店列表",
        "path": "pages/shop/list"
      },
      {
        "name": "vip卡片",
        "path": "pages/vip/card"
      }
    ]
  }
}
